Create user
import requests
url = "https://api.paywise.de/partner/v1/users/"
payload = {
"email": "[email protected]",
"first_name": "Max",
"last_name": "Mustermann",
"company": "6196ba03-83f2-46ea-83e1-a087bd0c5acc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
first_name: 'Max',
last_name: 'Mustermann',
company: '6196ba03-83f2-46ea-83e1-a087bd0c5acc'
})
};
fetch('https://api.paywise.de/partner/v1/users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/partner/v1/users/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"[email protected]\",\n \"first_name\": \"Max\",\n \"last_name\": \"Mustermann\",\n \"company\": \"6196ba03-83f2-46ea-83e1-a087bd0c5acc\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v1/users/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"email\": \"[email protected]\",\n \"first_name\": \"Max\",\n \"last_name\": \"Mustermann\",\n \"company\": \"6196ba03-83f2-46ea-83e1-a087bd0c5acc\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/partner/v1/users/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"first_name": "Max",
"last_name": "Mustermann",
"company": "6196ba03-83f2-46ea-83e1-a087bd0c5acc"
}
'{
"href": "https://api.paywise.de/partner/v1/users/ab5fc850-7bb3-4c33-9741-d1305dfa41d9/",
"id": "ab5fc850-7bb3-4c33-9741-d1305dfa41d9",
"email": "[email protected]",
"first_name": "Max",
"last_name": "Mustermann",
"company": "6196ba03-83f2-46ea-83e1-a087bd0c5acc",
"email_verified": true,
"notification_channels": [
{
"channel_type": "EMAIL",
"value": "[email protected]",
"notification_types": [
"REQUESTS_TO_CLIENT",
"STATUS_UPDATE",
"STATEMENTS"
]
}
]
}{
"message": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}users
Create user
Create a User. Only available in Instant Onboarding Mode
POST
/
partner
/
v1
/
users
/
Create user
import requests
url = "https://api.paywise.de/partner/v1/users/"
payload = {
"email": "[email protected]",
"first_name": "Max",
"last_name": "Mustermann",
"company": "6196ba03-83f2-46ea-83e1-a087bd0c5acc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
first_name: 'Max',
last_name: 'Mustermann',
company: '6196ba03-83f2-46ea-83e1-a087bd0c5acc'
})
};
fetch('https://api.paywise.de/partner/v1/users/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.paywise.de/partner/v1/users/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"[email protected]\",\n \"first_name\": \"Max\",\n \"last_name\": \"Mustermann\",\n \"company\": \"6196ba03-83f2-46ea-83e1-a087bd0c5acc\"\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.paywise.de/partner/v1/users/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"email\": \"[email protected]\",\n \"first_name\": \"Max\",\n \"last_name\": \"Mustermann\",\n \"company\": \"6196ba03-83f2-46ea-83e1-a087bd0c5acc\"\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
curl --request POST \
--url https://api.paywise.de/partner/v1/users/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"first_name": "Max",
"last_name": "Mustermann",
"company": "6196ba03-83f2-46ea-83e1-a087bd0c5acc"
}
'{
"href": "https://api.paywise.de/partner/v1/users/ab5fc850-7bb3-4c33-9741-d1305dfa41d9/",
"id": "ab5fc850-7bb3-4c33-9741-d1305dfa41d9",
"email": "[email protected]",
"first_name": "Max",
"last_name": "Mustermann",
"company": "6196ba03-83f2-46ea-83e1-a087bd0c5acc",
"email_verified": true,
"notification_channels": [
{
"channel_type": "EMAIL",
"value": "[email protected]",
"notification_types": [
"REQUESTS_TO_CLIENT",
"STATUS_UPDATE",
"STATEMENTS"
]
}
]
}{
"message": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
